summaryrefslogtreecommitdiff
path: root/gui-libs/gtksourceview
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /gui-libs/gtksourceview
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'gui-libs/gtksourceview')
-rw-r--r--gui-libs/gtksourceview/Manifest2
-rw-r--r--gui-libs/gtksourceview/files/5-gentoo.lang111
-rw-r--r--gui-libs/gtksourceview/gtksourceview-5.16.0.ebuild74
-rw-r--r--gui-libs/gtksourceview/gtksourceview-5.18.0.ebuild77
-rw-r--r--gui-libs/gtksourceview/metadata.xml13
5 files changed, 277 insertions, 0 deletions
diff --git a/gui-libs/gtksourceview/Manifest b/gui-libs/gtksourceview/Manifest
new file mode 100644
index 000000000000..c9a3f54e11b4
--- /dev/null
+++ b/gui-libs/gtksourceview/Manifest
@@ -0,0 +1,2 @@
+DIST gtksourceview-5.16.0.tar.xz 1260396 BLAKE2B f4817b12705063409eb5dcc31232ffb27529182f9c5c00ae17a9835592125243125b21b25369a367f521c80976412b45aad3db0466d4dac91a0ac30957380347 SHA512 062d3df12672090851eaea1f533492af86fc2535dc9dbcdb85f3ce9f1eba8f7dc75c4ddc9ecb8b33379ac93af2c5ff4f22381b77d7c4153efe1001e2be1b07f3
+DIST gtksourceview-5.18.0.tar.xz 1266756 BLAKE2B b3de7db077e1c21a1fa5121b8a2546bb798e4b36de6f38098fcc4c4eda00a16019a5083fffff7ec3ecb1e7ee9ad189d8c3e4b480e2cc8957bdf6553099a6fe0d SHA512 7b182c23eeb3ef634804755267ab4fc68801450d65fbfb439d0351613bd4e364c8e4cb020564f8ba903bfb4908c673725df50e0ec3a2c7239a7114a5d32e1341
diff --git a/gui-libs/gtksourceview/files/5-gentoo.lang b/gui-libs/gtksourceview/files/5-gentoo.lang
new file mode 100644
index 000000000000..4e8c14832e27
--- /dev/null
+++ b/gui-libs/gtksourceview/files/5-gentoo.lang
@@ -0,0 +1,111 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<!--
+ GtkSourceView syntax highlight for Gentoo-specific files
+
+ Originally written for gtksourceview-1.x by:
+ Leonardo Ferreira Fontenelle <leo.fontenelle@gmail.com>, 2006.
+ Rewritten for gtksourceview-2 by:
+ Rene 'Necoro' Neumann <necoro@necoro.net>, 2007
+
+ Distributed under the same license(s) as gtksourceview.
+
+ TODO:
+ - do not highlight "enable" in the configure options
+ - perhaps highlight portage variables and portage functions different
+
+-->
+
+<language name="gentoo" id="gentoo" version="2.0" _section="Scripts">
+ <metadata>
+ <property name="globs">*.ebuild;*.eclass</property>
+ <property name="line-comment-start">#</property>
+ </metadata>
+
+ <styles>
+ <style id="variable" _name="Portage variables" map-to="def:builtin" />
+ <style id="command" _name="Portage command" map-to="def:type" />
+ <style id="function" _name="Portage function" map-to="def:function" />
+ <style id="string" _name="String" map-to="def:string" />
+ </styles>
+
+ <definitions>
+
+ <!-- rewrite shell string to show highlighted variables -->
+ <context id="string" style-ref="def:string">
+ <start>"</start>
+ <end>"</end>
+ <include>
+ <context ref="def:escape"/>
+ <context ref="def:line-continue"/>
+ <context ref="sh:variable"/>
+ </include>
+ </context>
+
+ <context id="string-2" style-ref="def:string">
+ <start>'</start>
+ <end>'</end>
+ <include>
+ <context ref="def:escape"/>
+ <context ref="def:line-continue"/>
+ <context ref="sh:variable"/>
+ </include>
+ </context>
+
+ <!-- subprograms:
+ - $(..) is not supported currently in the normal sh.lang
+ - `...` is interpreted as string - I think the subshell behavior is more acurate -->
+ <context id="subprogram">
+ <start>\$\(</start>
+ <end>\)</end>
+ <include>
+ <context sub-pattern="0" where="start" style-ref="sh:keyword"/>
+ <context sub-pattern="0" where="end" style-ref="sh:keyword"/>
+ <context ref="gentoo"/>
+ </include>
+ </context>
+
+ <context id="subprogram-2">
+ <start>`</start>
+ <end>`</end>
+ <include>
+ <context sub-pattern="0" where="start" style-ref="sh:keyword"/>
+ <context sub-pattern="0" where="end" style-ref="sh:keyword"/>
+ <context ref="gentoo"/>
+ </include>
+ </context>
+
+ <!-- portage variables - currently unused -->
+ <context id="portvars" style-ref="variable">
+ <match>\b((ARCH|HOMEPAGE|DESCRIPTION|IUSE|SRC_URI|LICENSE|SLOT|KEYWORDS|FILESDIR|WORKDIR|(P|R)?DEPEND|PROVIDE|DISTDIR|RESTRICT)|(S|D|T|PV|PF|P|PN|A)|C(XX)?FLAGS|LDFLAGS|C(HOST|TARGET|BUILD))\b</match>
+ </context>
+
+ <!-- portage functions - currently unused -->
+ <context id="portfuncs" style-ref="function">
+ <match>^(src_(unpack|compile|install|test)|pkg_(config|nofetch|setup|(pre|post)(inst|rm)))</match>
+ </context>
+
+ <!-- extra portage commands -->
+ <context id="portcmds" style-ref="command">
+ <match>\b(e(begin|end|conf|make|warn|infon?|error)|die|use(_(with|enable))?|inherit|has|(has|best)_version|unpack|(do|new)(ins|s?bin|doc|lib(\.so|\.a)|man|info|exe|initd|confd|envd|pam|menu|icon)|do(python|dir|sym|jar|mo)|keepdir|(|doc|ins|exe)into|f(owners|perms)|(exe|ins|dir)opts)\b</match>
+ </context>
+
+ <context id="built-in-command">
+ <include> <!-- do not include "sh:built-in-command" as it is replaced down there - which would lead to an endless loop -->
+ <context ref="sh:reserved-word" />
+ <context ref="sh:let-command" />
+ <context ref="portcmds" />
+ </include>
+ </context>
+
+ <!-- gentoo is just a shell with the replacements -->
+ <replace id="sh:built-in-command" ref="built-in-command" />
+ <replace id="sh:backtick-subshell" ref="subprogram-2" />
+ <context id="gentoo">
+ <include>
+ <context ref="subprogram"/>
+ <context ref="sh:sh"/>
+ </include>
+ </context>
+ </definitions>
+</language>
diff --git a/gui-libs/gtksourceview/gtksourceview-5.16.0.ebuild b/gui-libs/gtksourceview/gtksourceview-5.16.0.ebuild
new file mode 100644
index 000000000000..20a287bedb2b
--- /dev/null
+++ b/gui-libs/gtksourceview/gtksourceview-5.16.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org meson vala virtualx xdg
+
+DESCRIPTION="A text widget implementing syntax highlighting and other features"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gtksourceview"
+
+LICENSE="LGPL-2.1+"
+SLOT="5"
+
+KEYWORDS="~alpha amd64 ~arm arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc x86"
+IUSE="gtk-doc +introspection sysprof +vala"
+REQUIRED_USE="
+ gtk-doc? ( introspection )
+ vala? ( introspection )
+"
+
+RDEPEND="
+ >=dev-libs/glib-2.72:2
+ >=gui-libs/gtk-4.17:4[introspection?]
+ >=dev-libs/libxml2-2.6:2=
+ introspection? ( >=dev-libs/gobject-introspection-1.82.0-r2:= )
+ >=dev-libs/fribidi-0.19.7
+ media-libs/fontconfig
+ x11-libs/pango[introspection?]
+ >=dev-libs/libpcre2-10.21:=[-recursion-limit(-)]
+ sysprof? ( dev-util/sysprof-capture:4 )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-util/glib-utils
+ gtk-doc? ( dev-util/gi-docgen )
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ vala? ( $(vala_depend) )
+"
+
+src_prepare() {
+ default
+ use vala && vala_setup
+ xdg_environment_reset
+}
+
+src_configure() {
+ local emesonargs=(
+ -Dinstall-tests=false
+ $(meson_feature introspection)
+ $(meson_use vala vapi)
+ $(meson_use gtk-doc documentation)
+ $(meson_use sysprof)
+ )
+ meson_src_configure
+}
+
+src_test() {
+ # Tests fail in test-regex with libpcre2[recursion-limit] - https://gitlab.gnome.org/GNOME/gtksourceview/-/issues/255
+ # Ensured OK via USE dep, as it would mean issues in real usage for syntax highlighting as well
+ virtx meson_src_test --timeout-multiplier=5
+}
+
+src_install() {
+ meson_src_install
+
+ insinto /usr/share/${PN}-5/language-specs
+ newins "${FILESDIR}"/5-gentoo.lang gentoo.lang
+
+ if use gtk-doc ; then
+ mkdir -p "${ED}"/usr/share/gtk-doc/html/ || die
+ mv "${ED}"/usr/share/doc/${PN}${SLOT} "${ED}"/usr/share/gtk-doc/html/ || die
+ fi
+}
diff --git a/gui-libs/gtksourceview/gtksourceview-5.18.0.ebuild b/gui-libs/gtksourceview/gtksourceview-5.18.0.ebuild
new file mode 100644
index 000000000000..c46b9d16bae8
--- /dev/null
+++ b/gui-libs/gtksourceview/gtksourceview-5.18.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org meson vala virtualx xdg
+
+DESCRIPTION="A text widget implementing syntax highlighting and other features"
+HOMEPAGE="https://gnome.pages.gitlab.gnome.org/gtksourceview/gtksourceview5"
+
+LICENSE="LGPL-2.1+"
+SLOT="5"
+
+KEYWORDS="~alpha amd64 ~arm arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc x86"
+IUSE="gtk-doc +introspection sysprof +vala"
+REQUIRED_USE="
+ gtk-doc? ( introspection )
+ vala? ( introspection )
+"
+
+RDEPEND="
+ >=dev-libs/glib-2.76:2[introspection?]
+ >=gui-libs/gtk-4.17:4[introspection?]
+ >=x11-libs/gdk-pixbuf-2.30:2[introspection?]
+ >=x11-libs/cairo-1.16
+ >=media-libs/graphene-1.10.0[introspection?]
+ >=dev-libs/libxml2-2.6:2=
+ introspection? ( >=dev-libs/gobject-introspection-1.82.0-r2:= )
+ >=dev-libs/fribidi-0.19.7
+ media-libs/fontconfig
+ x11-libs/pango[introspection?]
+ >=dev-libs/libpcre2-10.21:=[-recursion-limit(-)]
+ sysprof? ( dev-util/sysprof-capture:4 )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-util/glib-utils
+ gtk-doc? ( dev-util/gi-docgen )
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ vala? ( $(vala_depend) )
+"
+
+src_prepare() {
+ default
+ use vala && vala_setup
+ xdg_environment_reset
+}
+
+src_configure() {
+ local emesonargs=(
+ -Dinstall-tests=false
+ $(meson_feature introspection)
+ $(meson_use vala vapi)
+ $(meson_use gtk-doc documentation)
+ $(meson_use sysprof)
+ )
+ meson_src_configure
+}
+
+src_test() {
+ # Tests fail in test-regex with libpcre2[recursion-limit] - https://gitlab.gnome.org/GNOME/gtksourceview/-/issues/255
+ # Ensured OK via USE dep, as it would mean issues in real usage for syntax highlighting as well
+ virtx meson_src_test --timeout-multiplier=5
+}
+
+src_install() {
+ meson_src_install
+
+ insinto /usr/share/${PN}-5/language-specs
+ newins "${FILESDIR}"/5-gentoo.lang gentoo.lang
+
+ if use gtk-doc ; then
+ mkdir -p "${ED}"/usr/share/gtk-doc/html/ || die
+ mv "${ED}"/usr/share/doc/${PN}${SLOT} "${ED}"/usr/share/gtk-doc/html/ || die
+ fi
+}
diff --git a/gui-libs/gtksourceview/metadata.xml b/gui-libs/gtksourceview/metadata.xml
new file mode 100644
index 000000000000..63d4c6ea8b26
--- /dev/null
+++ b/gui-libs/gtksourceview/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>gnome@gentoo.org</email>
+ <name>Gentoo GNOME Desktop</name>
+ </maintainer>
+ <use>
+ <flag name="sysprof">Enable profiling data capture support using <pkg>dev-util/sysprof-capture</pkg>
+ </flag>
+ </use>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>